
registerType('appdoo.Editor', (function () { function OverviewButton() {} var __super = setSupertypeFromDomain(OverviewButton, 'Button', 'Core.UI');

OverviewButton.prototype.styleButton = function OverviewButton__styleButton() {

		if (this._highlighted === true) {
		
			this.style({
			   "backgroundImage": "-webkit-linear-gradient(hsl(0,0%,71%) 0%,hsl(0,0%,79%) 15%, hsl(0,0%,84%) 100%)",
			   "borderTopColor": "hsla(0,0%,55%,1)",
			   "borderBottomColor": "hsla(0,0%,70%,1)",
			});

		}
		else {
		
			this.style({
				"border": "1px solid hsla(0,0%,0%,0.2)",
				"borderBottomColor": "hsla(0,0%,0%,0.25)",
				"borderRadius": "5px",
				"textAlign": "center",
				"backgroundImage": "-webkit-linear-gradient(#fff, hsl(0,0%,95%))",
			   "color": "#000",
			   "textShadow": "0 1px 0 hsla(0,0%,100%,0.4)"
			});
		}
		};
	

OverviewButton.prototype.expectedTypeForProperty = function OverviewButton_expectedTypeForProperty(key) {
	if (__super) return __super.prototype.expectedTypeForProperty(key);
};

return OverviewButton; }()));